<?php

namespace App\Entities;

use CodeIgniter\Entity;

/**
 * Reflect for the moment `galette_adherents`
 */
class User extends Entity {
    const IS_MEMBER    = 4;
    const IS_DONOR     = 9;
    const IS_OBSERVER  = 11;

/*
    protected $datamap = [
        "id_adh"        => "id",
        "id_statut"     => "status",
        "prenom_adh"    => "fisrtname",
        "nom_adh"       => "lastname",
        "pseudo_adh"    => "nickname",
        "login_adh"     => "login",
        "email_adh"     => "email",
        "mdp_adh"       => "password",
    ];

    protected $casts = [
    ];
*/

    public function setPassword(string $pass) {
        $this->mdp_adh = password_hash($pass, PASSWORD_BCRYPT);

        return $this;
    }

    public function getIdentity() {
        if ($this->pseudo_adh) return $this->pseudo_adh;

        return trim($this->prenom_adh . " " . $this->nom_adh);
    }
}