<?php

namespace App\Models;

use CodeIgniter\Model;

class TransactionModel extends Model {
    protected $table        = 'transactions';
    protected $primaryKey   = 'tra_id';
    protected $useAutoIncrement = true;

    protected $allowedFields = [
        "tra_id", "tra_amount", "tra_reference", "tra_status", "tra_confirmed", "tra_date", "tra_email", "tra_purpose", "tra_lastname", "tra_firstname", "tra_nationality_iso", "tra_nationality", "tra_address", "tra_zipcode", "tra_city", "tra_country", "tra_telephone",
    ];
    protected $returnType    = 'App\Entities\Transaction';
}