<div class="mt-16 mb-16 ml-auto mr-auto" style="width: 480px;">
    <div class="rounded-md text-sm m-5 p-5 bg-black-87">
        <form id="back-form" action="<?=site_url("inscription")?>" method="GET">
        </form>
        <form action="<?=site_url("inscription/doFirstStep")?>" method="POST">
            <input type="hidden" name="price" value="<?=$price?>">
            <h2 class="text-lg text-center uppercase font-bold"><?=lang($price == "observer" ? "Inscription.observer.title" : "Inscription.member.title")?></h2>
            
            <?=isset($validation) ? $validation->listErrors() : ""?>

            <div class="mt-5">
                <input type="text" name="nickname" value="<?=$nickname ?? ""?>" class="h-10 w-full rounded-xl p-3 co-black-87" placeholder="<?=lang("Inscription.identity.nickname")?>">
            </div>
            <div class="explanation text-justify text-xs mt-5"><?=lang("Inscription.identity.nickname_explanation")?></div>
            <div class="mt-5">
                <input type="text" name="email" value="<?=$email ?? ""?>" class="h-10 w-full rounded-xl p-3 co-black-87" placeholder="<?=lang("Inscription.identity.email")?>">
            </div>
            <div class="mt-5">
                <input type="password" name="password" class="h-10 w-full rounded-xl p-3 co-black-87" placeholder="<?=lang("Inscription.identity.password")?>">
            </div>
            <div class="mt-5">
                <label class="text-xs"><input type="checkbox" name="newsletter" value="1" class="mr-2"><?=lang("Inscription.identity.newsletter")?></label>
            </div>
            <div class="mt-5">
                <label class="text-xs"><input type="checkbox" name="rgpd" value="1"  class="mr-2"><?=lang("Inscription.identity.rgpd")?></label>
            </div>
            <div class="mt-5">
                <button type="submit" form="back-form" class="rounded-2xl w-36 h-12 uppercase font-bold text-base float-left" style="background-color: #A0A0A0;"><?=lang("Common.back")?></button>
                <button type="submit" class="rounded-2xl w-36 h-12 uppercase font-bold text-base float-right bg-co"><?=lang("Common.validate")?></button>
            </div>
        </form>
        <div class="clear-both"></div>
    </div>
</div>
