<div class="mt-16 mb-16 ml-auto mr-auto" style="width: 480px;">
    <div class="rounded-md text-sm m-5 p-5 bg-black-87">
        <form id="back-form" action="<?=site_url("inscription")?>" method="GET">
        </form>
        <form action="<?=site_url("inscription/doThirdStep")?>" method="POST">
            <input type="hidden" name="price" value="<?=$price?>">
            <h2 class="text-lg text-center uppercase font-bold"><?=lang($price == "observer" ? "Inscription.observer.title" : "Inscription.member.title")?></h2>
            
            <?=isset($validation) ? $validation->listErrors() : ""?>

            <span>Montant : <span id="amount"><?=${$price . "Price"}?></span>€</span>

            <div class="mt-5">
                <input type="number" min="0" max="<?=$maximumAmount?>" id="more-amount-input" name="moreAmount" value="<?=$moreAmount ?? ""?>" class="h-10 w-full rounded-xl p-3 co-black-87" placeholder="<?=lang("Inscription.amount.more")?>">
            </div>

            <div class="placeholder text-xs text-center mt-5"><?=lang("Inscription.member.placeholder_full_price", [round(${$price . "Price"} * (100 - $taxCreditPercentage) / 100)])?></div>

            <div class="explanation text-justify text-xs mt-5"><?=lang("Inscription.amount.explanation")?></div>

            <div class="mt-5">
                <button type="submit" form="back-form" class="rounded-2xl w-36 h-12 uppercase font-bold text-base float-left" style="background-color: #A0A0A0;"><?=lang("Common.back")?></button>
                <button type="submit" class="rounded-2xl w-36 h-12 uppercase font-bold text-base float-right bg-co"><?=lang("Inscription.amount.pay")?></button>
            </div>
        </form>
        <div class="clear-both"></div>
    </div>
</div>
<script type="text/javascript">

document.addEventListener("DOMContentLoaded", function() {
    const amountSpan = document.getElementById("amount");
    const reductedAmountSpan = document.getElementById("reducted-amount");
    const moreAmountInput = document.getElementById("more-amount-input");

    moreAmountInput.addEventListener("keyup", function() {
        let amount = amountSpan.innerText * 1.;
        amount += moreAmountInput.value * 1.;
        
        reductedAmountSpan.innerText = Math.round(amount * (100 - <?=$taxCreditPercentage?>) / 100);
    });
});
</script>