<style>
figcaption li:not(:last-child):after {
    content: ",";
}
figcaption li {
    display: inline;
    text-transform: capitalize;
}    
</style>

<div class="mt-16 mb-16 ml-auto mr-auto" style="width: 1200px;">


<?php   foreach($tags as $tag => $programEntries) { ?>

<section id="<?=$tag?>" class="w-full text-sm text-justify rounded-md p-5 mb-5 bg-black-87">
    <h2 class="text-lg uppercase font-bold mb-5"><?=$tag?></h2>

<?php       foreach ($programEntries as $index => $program) { ?>

    <figure class="md:flex w-1/3 float-left mb-10" style="">
    <?php       if (isset($program["thumb"])) { ?>
        <img class="w-32 md:w-32" src="<?=$program["thumb"]?>" alt="Image d'illustration">
    <?php       } ?>
        <div class="pt-3 md:p-3 text-left md:text-left space-y-5">
            <figcaption class="font-medium space-y-3">
                <h2 class="text-base"><a href="<?=base_url("program/index/" . str_replace("/", "___", $program["path"]))?>"><?=$program["TITRE"]?></a></h2>
            </figcaption>
        </div>
    </figure>

    <?php       if ($index && ($index % 3 == 2)) {?>
    <div class="clear-both"></div>
    <?php       } ?>

<?php       } ?>
    <div class="clear-both"></div>

</section>
<div class="clear-both"></div>
<?php   } ?>

</div>