<pre>
<?php   if (isset($user)) {
            print_r($user); 

            echo $user->login;
            echo $user->password;
}

?>
</pre>

<div class="mt-16 mb-16 ml-auto mr-auto" style="width: 480px;">
    <div class="rounded-md text-sm m-5 p-5 bg-black-87">
        <form id="back-form" action="<?=site_url("inscription")?>" method="GET">
        </form>
        <form action="<?=site_url("inscription/doSecondStep")?>" method="POST">
            <input type="hidden" name="price" value="<?=$price?>">
            <h2 class="text-lg text-center uppercase font-bold"><?=lang($price == "observer" ? "Inscription.observer.title" : "Inscription.member.title")?></h2>
            
            <?=isset($validation) ? $validation->listErrors() : ""?>

            <div class="explanation text-justify text-xs mt-5"><?=lang("Inscription.identity.kyc_explanation")?></div>

<!-- Identity -->

            <div class="mt-5">
                <input type="text" name="firstname" value="<?=$firstname ?? ""?>" class="h-10 w-full rounded-xl p-3 co-black-87" placeholder="<?=lang("Inscription.identity.firstname")?>">
            </div>
            <div class="mt-5">
                <input type="text" name="lastname" value="<?=$lastname ?? ""?>" class="h-10 w-full rounded-xl p-3 co-black-87" placeholder="<?=lang("Inscription.identity.lastname")?>">
            </div>

            <div class="mt-5">
                <input type="hidden" name="nationality-label" value="<?=$nationality ?? ""?>" id="nationality-hidden">
                <select class="h-10 w-full rounded-xl p-3 co-black-87" name="nationality" id="nationality-select">
                    <option value="0" selected><?=lang("Inscription.identity.nationality")?></option>
                    <option value="FR">Française</option>
                    <option value="CH">Suisse</option>
                    <option value="BE">Belge</option>
                    <option value="DE">Allemande</option>
                    <option value="IT">Italienne</option>
                    <option value="AF">Afghane</option>
                    <option value="AL">Albanaise</option>
                    <option value="DZ">Algerienne</option>
                    <option value="US">Americaine</option>
                    <option value="AD">Andorrane</option>
                    <option value="AO">Angolaise</option>
                    <option value="AG">Antiguaise et barbudienne</option>
                    <option value="AR">Argentine</option>
                    <option value="AM">Armenienne</option>
                    <option value="AU">Australienne</option>
                    <option value="AT">Autrichienne</option>
                    <option value="AZ">Azerbaïdjanaise</option>
                    <option value="BS">Bahamienne</option>
                    <option value="BH">Bahreinienne</option>
                    <option value="BD">Bangladaise</option>
                    <option value="BB">Barbadienne</option>
                    <option value="BZ">Belizienne</option>
                    <option value="BJ">Beninoise</option>
                    <option value="BT">Bhoutanaise</option>
                    <option value="BY">Bielorusse</option>
                    <option value="MM">Birmane</option>
                    <option value="GW">Bissau-Guinéenne</option>
                    <option value="BO">Bolivienne</option>
                    <option value="BA">Bosnienne</option>
                    <option value="BW">Botswanaise</option>
                    <option value="BR">Bresilienne</option>
                    <option value="UK">Britannique</option>
                    <option value="BN">Bruneienne</option>
                    <option value="BG">Bulgare</option>
                    <option value="BF">Burkinabe</option>
                    <option value="BI">Burundaise</option>
                    <option value="KH">Cambodgienne</option>
                    <option value="CM">Camerounaise</option>
                    <option value="CA">Canadienne</option>
                    <option value="CV">Cap-verdienne</option>
                    <option value="CF">Centrafricaine</option>
                    <option value="CL">Chilienne</option>
                    <option value="CN">Chinoise</option>
                    <option value="CY">Chypriote</option>
                    <option value="CO">Colombienne</option>
                    <option value="KM">Comorienne</option>
                    <option value="CG">Congolaise</option>
                    <option value="CR">Costaricaine</option>
                    <option value="HR">Croate</option>
                    <option value="CU">Cubaine</option>
                    <option value="CW">Curaçaoane</option>
                    <option value="DK">Danoise</option>
                    <option value="DJ">Djiboutienne</option>
                    <option value="DO">Dominicaine</option>
                    <option value="DM">Dominiquaise</option>
                    <option value="EG">Egyptienne</option>
                    <option value="AE">Emirienne</option>
                    <option value="GQ">Equato-guineenne</option>
                    <option value="EC">Equatorienne</option>
                    <option value="ER">Erythreenne</option>
                    <option value="ES">Espagnole</option>
                    <option value="TL">Est-timoraise</option>
                    <option value="EE">Estonienne</option>
                    <option value="ET">Ethiopienne</option>
                    <option value="FJ">Fidjienne</option>
                    <option value="FI">Finlandaise</option>
                    <option value="GA">Gabonaise</option>
                    <option value="GM">Gambienne</option>
                    <option value="GE">Georgienne</option>
                    <option value="GH">Ghaneenne</option>
                    <option value="GD">Grenadienne</option>
                    <option value="GT">Guatemalteque</option>
                    <option value="GN">Guineenne</option>
                    <option value="GY">Guyanienne</option>
                    <option value="HT">Haïtienne</option>
                    <option value="GR">Hellenique</option>
                    <option value="HN">Hondurienne</option>
                    <option value="HU">Hongroise</option>
                    <option value="IN">Indienne</option>
                    <option value="ID">Indonesienne</option>
                    <option value="IQ">Irakienne</option>
                    <option value="IE">Irlandaise</option>
                    <option value="IS">Islandaise</option>
                    <option value="IL">Israélienne</option>
                    <option value="CI">Ivoirienne</option>
                    <option value="JM">Jamaïcaine</option>
                    <option value="JP">Japonaise</option>
                    <option value="JO">Jordanienne</option>
                    <option value="KZ">Kazakhstanaise</option>
                    <option value="KE">Kenyane</option>
                    <option value="KG">Kirghize</option>
                    <option value="KI">Kiribatienne</option>
                    <option value="KN">Kittitienne-et-nevicienne</option>
                    <option value="XK">Kossovienne</option>
                    <option value="KW">Koweitienne</option>
                    <option value="LA">Laotienne</option>
                    <option value="LS">Lesothane</option>
                    <option value="LV">Lettone</option>
                    <option value="LB">Libanaise</option>
                    <option value="LR">Liberienne</option>
                    <option value="LY">Libyenne</option>
                    <option value="LI">Liechtensteinoise</option>
                    <option value="LT">Lituanienne</option>
                    <option value="LU">Luxembourgeoise</option>
                    <option value="MK">Macedonienne</option>
                    <option value="MY">Malaisienne</option>
                    <option value="MW">Malawienne</option>
                    <option value="MV">Maldivienne</option>
                    <option value="MG">Malgache</option>
                    <option value="ML">Malienne</option>
                    <option value="MT">Maltaise</option>
                    <option value="MA">Marocaine</option>
                    <option value="MH">Marshallaise</option>
                    <option value="MU">Mauricienne</option>
                    <option value="MR">Mauritanienne</option>
                    <option value="MX">Mexicaine</option>
                    <option value="FM">Micronesienne</option>
                    <option value="MD">Moldave</option>
                    <option value="MC">Monegasque</option>
                    <option value="MN">Mongole</option>
                    <option value="ME">Montenegrine</option>
                    <option value="MZ">Mozambicaine</option>
                    <option value="NA">Namibienne</option>
                    <option value="NR">Nauruane</option>
                    <option value="NL">Neerlandaise</option>
                    <option value="NZ">Neo-zelandaise</option>
                    <option value="NP">Nepalaise</option>
                    <option value="NI">Nicaraguayenne</option>
                    <option value="NG">Nigeriane</option>
                    <option value="NE">Nigerienne</option>
                    <option value="KP">Nord-coréenne</option>
                    <option value="NO">Norvegienne</option>
                    <option value="OM">Omanaise</option>
                    <option value="UG">Ougandaise</option>
                    <option value="UZ">Ouzbeke</option>
                    <option value="PK">Pakistanaise</option>
                    <option value="PW">Palau</option>
                    <option value="PS">Palestinienne</option>
                    <option value="PA">Panameenne</option>
                    <option value="PG">Papouane-neoguineenne</option>
                    <option value="PY">Paraguayenne</option>
                    <option value="PE">Peruvienne</option>
                    <option value="PH">Philippine</option>
                    <option value="PL">Polonaise</option>
                    <option value="PR">Portoricaine</option>
                    <option value="PT">Portugaise</option>
                    <option value="QA">Qatarienne</option>
                    <option value="RO">Roumaine</option>
                    <option value="RU">Russe</option>
                    <option value="RW">Rwandaise</option>
                    <option value="LC">Saint-Lucienne</option>
                    <option value="SM">Saint-Marinaise</option>
                    <option value="SX">Saint-Martinoise</option>
                    <option value="VC">Saint-Vincentaise-et-Grenadine</option>
                    <option value="SB">Salomonaise</option>
                    <option value="SV">Salvadorienne</option>
                    <option value="WS">Samoane</option>
                    <option value="ST">Santomeenne</option>
                    <option value="SA">Saoudienne</option>
                    <option value="SN">Senegalaise</option>
                    <option value="SS">Sud-Soudanaise</option>
                    <option value="RS">Serbe</option>
                    <option value="SC">Seychelloise</option>
                    <option value="SL">Sierra-leonaise</option>
                    <option value="SG">Singapourienne</option>
                    <option value="SK">Slovaque</option>
                    <option value="SI">Slovene</option>
                    <option value="SO">Somalienne</option>
                    <option value="SD">Soudanaise</option>
                    <option value="LK">Sri-lankaise</option>
                    <option value="ZA">Sud-africaine</option>
                    <option value="KR">Sud-coréenne</option>
                    <option value="SE">Suedoise</option>
                    <option value="SR">Surinamaise</option>
                    <option value="SZ">Swazie</option>
                    <option value="SY">Syrienne</option>
                    <option value="TJ">Tadjike</option>
                    <option value="TW">Taiwanaise</option>
                    <option value="TZ">Tanzanienne</option>
                    <option value="TD">Tchadienne</option>
                    <option value="CZ">Tcheque</option>
                    <option value="TH">Thaïlandaise</option>
                    <option value="TG">Togolaise</option>
                    <option value="TO">Tonguienne</option>
                    <option value="TT">Trinidadienne</option>
                    <option value="TN">Tunisienne</option>
                    <option value="TM">Turkmene</option>
                    <option value="TR">Turque</option>
                    <option value="TV">Tuvaluane</option>
                    <option value="UA">Ukrainienne</option>
                    <option value="UY">Uruguayenne</option>
                    <option value="VA">Vaticane</option>
                    <option value="VU">Vanuatuane</option>
                    <option value="VE">Venezuelienne</option>
                    <option value="VN">Vietnamienne</option>
                    <option value="YE">Yemenite</option>
                    <option value="ZM">Zambienne</option>
                    <option value="ZW">Zimbabweenne</option>
                </select>
            </div>

<!-- Address -->

            <div class="mt-5">
                <input type="text" name="telephone" value="<?=$telephone ?? ""?>" class="h-10 w-full rounded-xl p-3 co-black-87" placeholder="<?=lang("Inscription.identity.telephone")?>">
            </div>
            <div class="mt-5">
                <input type="text" name="address"   value="<?=$address ?? ""?>"   class="h-10 w-full rounded-xl p-3 co-black-87" placeholder="<?=lang("Inscription.identity.address")?>">
            </div>
            <div class="mt-5">
                <input type="text" name="zipcode"   value="<?=$zipcode ?? ""?>"   class="h-10 w-full rounded-xl p-3 co-black-87" placeholder="<?=lang("Inscription.identity.zipcode")?>">
            </div>
            <div class="mt-5">
                <input type="text" name="city"      value="<?=$city    ?? ""?>"   class="h-10 w-full rounded-xl p-3 co-black-87" placeholder="<?=lang("Inscription.identity.city")?>">
            </div>
            <div class="mt-5">
                <input type="text" name="country"   value="<?=$country ?? ""?>"   class="h-10 w-full rounded-xl p-3 co-black-87" placeholder="<?=lang("Inscription.identity.country")?>">
            </div>

            <div class="mt-5">
                <button type="submit" form="back-form" class="rounded-2xl w-36 h-12 uppercase font-bold text-base float-left" style="background-color: #A0A0A0;"><?=lang("Common.back")?></button>
                <button type="submit" class="rounded-2xl w-36 h-12 uppercase font-bold text-base float-right bg-co"><?=lang("Common.validate")?></button>
            </div>
        </form>
        <div class="clear-both"></div>
    </div>
</div>
<script>
    let nationalitySelect = document.getElementById("nationality-select");
    let nationalityHidden = document.getElementById("nationality-hidden");

    nationalitySelect.addEventListener("change", function() {
        const selectedOption = nationalitySelect.selectedOptions[0];

        nationalityHidden.value = selectedOption.innerText;
    });
</script>