<style>
figcaption li:not(:last-child):after {
    content: ",";
}
figcaption li {
    display: inline;
    text-transform: capitalize;
}    
</style>

<div class="mt-16 mb-16 ml-auto mr-auto" style="width: 1200px;">

    <div class="w-1/3 float-right">
<!--        
        <section id="categories" class="rounded-md p-3 text-sm mb-5 bg-black-87">
            <h2 class="text-base mb-5 uppercase font-bold">Catégories</h2>
            <ul class="list-disc pl-5">
            </ul>
        </section>
-->

<?php   if (isset($category["parent"]["entries"]) && count($category["parent"]["entries"]) > 1) {?>
        <section id="other-points" class="rounded-md p-3 text-sm mb-5 bg-black-87">
            <h2 class="text-base uppercase font-bold mb-1">
                <a href="<?=base_url("program/index/" . str_replace("/", "___", $category["parent_path"]))?>"><?=$category["parent"]["TITRE"]?></a>
            </h2>
            <ul class="list-disc pl-5">
<?php   
            foreach($category["parent"]["entries"] as $entry) { 
                if ($entry["TITRE"] == $category["TITRE"]) continue; // on drop la catégory en cours
?>
                <li><a href="<?=base_url("program/index/" . str_replace("/", "___", $entry["path"]))?>" class="no-underline hover:underline uppercase"><?=$entry["TITRE"]?></a></li>
<?php
            }
?>
            </ul>
        </section>
<?php   } ?>
        
        <section id="search" class="rounded-md p-3 text-sm bg-black-87">
            <form action="<?=base_url("program/search")?>" method="GET">
                <i class="fas fa-search"></i> 
                | 
                <input type="text" name="search" class="placeholder-white bg-transparent" placeholder="Rechercher..." value="<?=$search["search"] ?? ""?>">
            </form>
        </section>
    </div>

<?php   if (isset($category["TITRE"])) { ?>

<figure class="md:flex md:p-0 mb-10">
<?php       if (isset($program["thumb"])) { ?>
    <img class="w-48 md:w-48" src="<?=$category["thumb"]?>" alt="Image d'illustration">
<?php       } ?>
    <div class="pt-3 md:p-3 text-left md:text-left space-y-5">
        <figcaption class="font-medium space-y-3">
            <h1 class="text-xl font-bold"><?=$category["TITRE"]?></h1>
<!--            
            <?=$category["cooked"]?>
-->            
        </figcaption>
    </div>
</figure>
<?php   } ?>


<section id="articles" class="w-2/3 text-sm text-justify pr-10">


<?php   foreach ($programEntries as $index => $program) { ?>

    <figure class="md:flex w-1/2 float-left mb-10" style="">
    <?php   if (isset($program["thumb"])) { ?>
        <img class="w-32 md:w-32" src="<?=$program["thumb"]?>" alt="Image d'illustration">
    <?php   } ?>
        <div class="pt-3 md:p-3 text-left md:text-left space-y-5">
            <figcaption class="font-medium space-y-3">
                <h2 class="text-base"><a href="<?=base_url("program/index/" . str_replace("/", "___", $program["path"]))?>"><?=$program["TITRE"]?></a></h2>
                <div class="flex">
    <?php   if (isset($program["score"])) { ?>
                    <div id="program-score" class="font-bold w-1/2"><?=$program["score"]?>%</div>
    <?php   } ?>
                </div>
            </figcaption>
        </div>
    </figure>

    <?php if (($index % 2)) {?>
    <div class="clear-both"></div>
    <?php   } ?>

<?php   } ?>

</section>

<div class="clear-both"></div>

</div>