<div class="mt-16 mb-16 ml-auto mr-auto" style="width: 640px;">
    <div class="rounded-md text-sm m-5 p-5 bg-black-87">

        <h2 class="text-lg text-center uppercase font-bold"><?=lang("User.historics.title")?></h2>

        <div class="flex flex-col">

<?php   foreach($transactions as $transaction) { ?>
            <div class="transaction mt-5">
                <div class="transaction-amount font-bold text-xl co-light text-right w-1/4 mt-2.5 float-right"><?=$transaction->tra_amount?>&euro;</div>
                <div class="transaction-title font-bold text-lg w-3/4">
                
                    <?php
                        if ($transaction->isJoin()) {
                            echo "Adhésion";
                        }
                        else if (isset($transaction->getPurposeExplanation()->project)) {
                            $code = $transaction->getPurposeExplanation()->project->code;

                            $project = $projects[$code];

                            if ($project) {
                                echo "Don pour le projet \"";
                                echo $project->pro_label;
                                echo "\"";
                            }
                            else {
                            echo "Don";
                            }
                        }
                        else {
                            echo "Don";
                        }
                    ?>

                </div>
                <div class="transaction-date text-lg w-3/4"><?=$transaction->getTransactionDate()->format(lang("Date.date_format"))?></div>
            </div>
<?php   } ?>

        </div>
    </div>
</div>